Grok Imagine
Генерация видео
Создаёт задачу генерации видео по текстовому описанию.
Возвращает task_id, по которому затем нужно опросить
/v1/videos/fetch.
POST
/
v1
/
videos
/
generations
Генерация видео
curl --request POST \
--url https://api.nixai.ru/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "grok-video",
"prompt": "Красивый закат над морем",
"aspect_ratio": "16:9",
"resolution": "720p",
"duration": 10,
"images": [
"https://example.com/photo.jpg"
]
}
'import requests
url = "https://api.nixai.ru/v1/videos/generations"
payload = {
"model": "grok-video",
"prompt": "Красивый закат над морем",
"aspect_ratio": "16:9",
"resolution": "720p",
"duration": 10,
"images": ["https://example.com/photo.jpg"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'grok-video',
prompt: 'Красивый закат над морем',
aspect_ratio: '16:9',
resolution: '720p',
duration: 10,
images: ['https://example.com/photo.jpg']
})
};
fetch('https://api.nixai.ru/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.nixai.ru/v1/videos/generations';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'grok-video',
prompt: 'Красивый закат над морем',
aspect_ratio: '16:9',
resolution: '720p',
duration: 10,
images: ['https://example.com/photo.jpg']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.nixai.ru/v1/videos/generations' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"model": "grok-video",
"prompt": "Красивый закат над морем",
"aspect_ratio": "16:9",
"resolution": "720p",
"duration": 10,
"images": [
"https://example.com/photo.jpg"
]
}'import Foundation
let parameters = [
"model": "grok-video",
"prompt": "Красивый закат над морем",
"aspect_ratio": "16:9",
"resolution": "720p",
"duration": 10,
"images": ["https://example.com/photo.jpg"]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.nixai.ru/v1/videos/generations")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.nixai.ru/v1/videos/generations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"model\": \"grok-video\",\n \"prompt\": \"Красивый закат над морем\",\n \"aspect_ratio\": \"16:9\",\n \"resolution\": \"720p\",\n \"duration\": 10,\n \"images\": [\n \"https://example.com/photo.jpg\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.nixai.ru/v1/videos/generations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"model\": \"grok-video\",\n \"prompt\": \"Красивый закат над морем\",\n \"aspect_ratio\": \"16:9\",\n \"resolution\": \"720p\",\n \"duration\": 10,\n \"images\": [\n \"https://example.com/photo.jpg\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'grok-video',
prompt: 'Красивый закат над морем',
aspect_ratio: '16:9',
resolution: '720p',
duration: 10,
images: ['https://example.com/photo.jpg']
})
};
fetch('https://api.nixai.ru/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.nixai.ru/v1/videos/generations");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"model\": \"grok-video\",\n \"prompt\": \"Красивый закат над морем\",\n \"aspect_ratio\": \"16:9\",\n \"resolution\": \"720p\",\n \"duration\": 10,\n \"images\": [\n \"https://example.com/photo.jpg\"\n ]\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.nixai.ru/v1/videos/generations");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"model\": \"grok-video\",\n \"prompt\": \"Красивый закат над морем\",\n \"aspect_ratio\": \"16:9\",\n \"resolution\": \"720p\",\n \"duration\": 10,\n \"images\": [\n \"https://example.com/photo.jpg\"\n ]\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"model\": \"grok-video\",\n \"prompt\": \"Красивый закат над морем\",\n \"aspect_ratio\": \"16:9\",\n \"resolution\": \"720p\",\n \"duration\": 10,\n \"images\": [\n \"https://example.com/photo.jpg\"\n ]\n}")
val request = Request.Builder()
.url("https://api.nixai.ru/v1/videos/generations")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falsefalse{
"task_id": "video_db242923-11eb-44dc-bddf-d71a02ab5174"
}Authorizations
Заголовок авторизации вида Bearer <token>, где <token> — ваш API-ключ.
Body
application/json
Идентификатор видео-модели.
Available options:
grok-video, grok-video-1.5 Example:
"grok-video"
Текстовое описание желаемого видео.
Example:
"Красивый закат над морем"
Соотношение сторон видео.
Available options:
16:9, 9:16, 3:2, 2:3, 1:1 Разрешение видео. Работает только для grok-video-1.5.
Available options:
480p, 720p Длительность видео в секундах.
grok-video: допустимые значения —6,10,12,16,20grok-video-1.5: любое целое значение от1до15
Список URL изображений для генерации видео на их основе.
Обязателен для grok-video-1.5, опционален для grok-video.
Для grok-video-1.5 можно передать строго только одно изображение.
Example:
["https://example.com/photo.jpg"]
Response
200 - application/json
Задача создана
Идентификатор задачи для последующего опроса через fetch.
Example:
"video_db242923-11eb-44dc-bddf-d71a02ab5174"
Was this page helpful?
Previous
Проверка статуса видеоВозвращает статус задачи генерации видео по её `task_id`.
Эндпоинт общий для всех видео-моделей.
Next
⌘I
Генерация видео
